{ pkgs, ... }:
let
  sonokai = import themes/sonokai;
  langs = (import ./langs) pkgs;
in
{
  programs.helix = {
    enable = true;

    settings = {
      theme = "sonokai-andromeda";
      editor.cursor-shape = {
        normal = "block";
        insert = "bar";
        select = "underline";
      };
    };

    languages = {
      language-server.rust-analyzer.config = {
        rust.analyzerTargetDir = true;
      };
    };
    themes = {
      sonokai-andromeda = sonokai "andromeda";
    };
  };
}
