{ lib, config, inputs, pkgs, ... }:
let
  hypr = config.maid.hypr;
in
{
  options.maid.hypr = {
    enable = lib.mkEnableOption "hyprland";
  };

  config = lib.mkIf hypr.enable {
    programs.hyprland = {
      enable = true;
      package = inputs.hyprland.packages.${pkgs.stdenv.hostPlatform.system}.hyprland;
      portalPackage = inputs.hyprland.packages.${pkgs.stdenv.hostPlatform.system}.xdg-desktop-portal-hyprland;
    };

    programs.hyprlock = {
      enable = true;
    };

    environment.systemPackages = with pkgs; [
      dunst
      waybar
      wofi
      hyprshot
    ];
    environment.sessionVariables.NIXOS_OZONE_WL = "1";

    fonts.packages = with pkgs; [
      font-awesome_5
    ];
    qt = {
      enable = true;
      platformTheme = "gnome";
      style = "adwaita-dark";
    };
  };
}
