{ config, lib, pkgs, ... }:
let
  kde = config.maid.kde;
in
{
  options.maid.kde = {
    enable = lib.mkEnableOption "KDE6";
  };

  config = lib.mkIf kde.enable {
    services.desktopManager.plasma6.enable = true;
    environment.plasma6.excludePackages = with pkgs.kdePackages; [
      plasma-browser-integration
      konsole
      oxygen
    ];
  };
}
